# Execution Scheduler

(PHP 7, UI 2.0.0)

## Introduction

This facility schedules repetitive execution of a callback, useful for animations and other such activities.

## Class synopsis

abstract UI\Executor {
/* Constructor */
public __construct ( void )
public __construct ( int `$microseconds` )
public __construct ( int `$seconds` , int `$microseconds` )
/* Methods */
public kill ( void ) : void
abstract protected onExecute ( void ) : void
public setInterval ( int `$microseconds` ) : bool
public setInterval ( int `$seconds` , int `$microseconds` ) : bool
}

## Table of Contents

- UI\Executor::__construct — Construct a new Executor
- UI\Executor::kill — Stop Executor
- UI\Executor::onExecute — Execution Callback
- UI\Executor::setInterval — Interval Manipulation